> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create eSignature user

POST https://api-d.docusign.net/Management/v2/organizations/{organizationId}/users
Content-Type: application/json

Creates a new eSignature user and automatically activates the user's account.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_write`.

### Related topics

- [How to create a new active eSignature user](/docs/admin-api/how-to/create-active-user/)

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/esignusermanagement/createuser

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Body (application/json)

This endpoint expects a NewUserRequest.

- `accounts` (list of NewUserRequestAccountProperties, required) — A list of accounts the user will belong to.
- `email` (string, required) — The email address.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `default_account_id` (string, optional) — The account ID of the user's default account.
- `language_culture` (string, optional) — The language and culture of the user. - Chinese Simplified: `zh_CN` - Chinese Traditional: `zh_TW` - Dutch: `nl` - English: `en` - French: `fr` - German: `de` - Italian: `it` - Japanese: `ja` - Korean: `ko` - Portuguese: `pt` - Portuguese Brazil: `pt_BR` - Russian: `ru` - Spanish: `es`
- `selected_languages` (string, optional)
- `access_code` (string, optional) — The access code that the user needs to activate an account.
- `federated_status` (string, optional) — The user's federated status. One of: - `RemoveStatus` - `FedAuthRequired` - `FedAuthBypass` - `Evicted`
- `auto_activate_memberships` (boolean, optional) — When **true,** the user's account is activated automatically.

## Response

### 200

OK

- `id` (string, optional) — The ID of the added user
- `site_id` (integer, optional) — The site ID of the added user.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `email` (string, optional) — The primary email address of the user.
- `language_culture` (string, optional) — The language and culture of the user. - Chinese Simplified: `zh_CN` - Chinese Traditional: `zh_TW` - Dutch: `nl` - English: `en` - French: `fr` - German: `de` - Italian: `it` - Japanese: `ja` - Korean: `ko` - Portuguese: `pt` - Portuguese Brazil: `pt_BR` - Russian: `ru` - Spanish: `es`
- `federated_status` (string, optional) — The user's federated status. One of: - `RemoveStatus` - `FedAuthRequired` - `FedAuthBypass` - `Evicted`
- `accounts` (list of NewUserResponseAccountProperties, optional) — A list of accounts the user belongs to.

## Types

### NewUserRequestAccountProperties

An individual new account user.

- `id` (string, required) — The account ID.
- `permission_profile` (PermissionProfileRequest, optional) — A permission profile.
- `groups` (list of GroupRequest, optional) — The new user's requested groups.
- `company_name` (string, optional) — The user's company name.
- `job_title` (string, optional) — The user's job title.

### NewUserResponseAccountProperties

Information about a newly created user.

- `id` (string, optional) — The user's unique ID.
- `site_id` (integer, optional) — The site ID of the account.
- `permission_profile` (PermissionProfileResponse, optional) — This object is an individual permission profile response.
- `groups` (list of MemberGroupResponse, optional) — A list of groups that the user belongs to.
- `company_name` (string, optional) — The user's company name.
- `job_title` (string, optional) — The job title of the user.
- `license_status` (string, optional)
- `license_type` (string, optional)
- `plan_name` (string, optional)
- `subscription_id` (string, optional)

### PermissionProfileRequest

A permission profile.

- `id` (long, required) — The ID of the permission profile.
- `name` (string, optional) — The name of the permission profile.

### GroupRequest

A group for a user to belong to.

- `id` (long, required) — The ID of the group.
- `name` (string, optional) — The name of the group.
- `type` (string, optional) — The type of group. One of: - `invalid` - `admin_group` - `everyone_group` - `custom_group`

### PermissionProfileResponse

This object is an individual permission profile response.

- `id` (long, optional) — The ID of the permission profile.
- `name` (string, optional) — The name of the permission profile. Example: `DocuSign Sender`

### MemberGroupResponse

And individual group responses,.

- `id` (long, optional) — The unique ID of the group.
- `name` (string, optional) — The name of the group.
- `type` (string, optional) — The type of group. One of: - `invalid` - `admin_group` - `everyone_group` - `custom_group`

## Examples

**Request**

```json
{
  "accounts": [
    {
      "id": "00000000-0000-0000-0000-000000000000"
    }
  ],
  "email": "string"
}
```

**Response**

```json
{
  "id": "00000000-0000-0000-0000-000000000000",
  "site_id": 1,
  "user_name": "string",
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "language_culture": "string",
  "federated_status": "string",
  "accounts": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "site_id": 1,
      "permission_profile": {
        "id": 1,
        "name": "string"
      },
      "groups": [
        {
          "id": 1,
          "name": "string",
          "type": "string"
        }
      ],
      "company_name": "string",
      "job_title": "string",
      "license_status": "string",
      "license_type": "string",
      "plan_name": "string",
      "subscription_id": "string"
    }
  ]
}
```